This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859927 - glusterd does not start when auth.allow is set to empty string
glusterd does not start when auth.allow is set to empty string
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 08:11 EDT by Shruti Sampat
Modified: 2013-07-24 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:37:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2012-09-24 08:11:38 EDT
Description of problem:
---------------------------------------

Empty string is an acceptable value for the volume option "auth.allow". When we set the option auth.allow to empty string, upon subsequent restart of glusterd, glusterd doesn't get started. 

The following is seen in the logs - 
---------------------------------------

[2012-09-24 17:19:49.760116] E [glusterd-store.c:1526:glusterd_store_validate_key_value] 0-glusterd: Glusterd store may be corrupted, Invalid value (null) for key auth.allow in /var/lib/glusterd/vols/Test/info
[2012-09-24 17:19:49.760129] E [glusterd-store.c:2184:glusterd_store_retrieve_volumes] 0-: Unable to restore volume: Test

The following are the contents of info - 
---------------------------------------

type=0
count=2
status=0
sub_count=0
stripe_count=1
replica_count=1
version=2
transport-type=0
volume-id=ec8e5705-4a3c-4fa5-940e-f67eae32112c
username=229884d6-c11b-4b88-9a49-9faea433f525
password=807bf0cc-2e1c-433a-85a0-d61225839851
auth.allow=
brick-0=10.70.1.137:-export1-Test-brick1
brick-1=10.70.1.137:-export2-Test-brick2

Version-Release number of selected component (if applicable):
glusterfs 3.3.0

How reproducible:
Always reproducible

Steps to Reproduce:
1.Create a gluster volume 
2.gluster volume set <vol_name> auth.allow ""
3.Restart glusterd
4.On running ps aux | grep glusterd, glusterd is not seen
  
Actual results:
glusterd does not start

Expected results:
glusterd should start

Additional info:
Comment 1 Vijay Bellur 2012-12-05 18:32:41 EST
CHANGE: http://review.gluster.org/4270 (Add util function to kill brick) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Vijay Bellur 2012-12-05 18:35:58 EST
CHANGE: http://review.gluster.org/4271 (cluster/afr: Empty string should not be default option val) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2012-12-10 17:18:29 EST
CHANGE: http://review.gluster.org/4033 (glusterd: fail vol set when value = empty string/string with all whitespaces) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2012-12-10 17:18:46 EST
CHANGE: http://review.gluster.org/4246 (cli: fail vol set when value = empty string/string with all whitespaces) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Krutika Dhananjay 2012-12-11 00:06:40 EST
Re-assigning this bug to Raghavendra G for changing the default value of the option "io-cache.priority" which is, as of today, an empty string.

Note You need to log in before you can comment on or make changes to this bug.